# std::filesystem::path::clear

From cppreference.com
< cpp‎ | filesystem‎ | path

void clear(); |  | (since C++17)

Clears the stored pathname. `empty()` is true after the call.

### Parameters

(none)

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/clear&oldid=91461"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template